cURL
curl --request POST \ --url https://api.lidian.finance/api/v1/quotes \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "quoteRequestId": "<string>", "outputAmount": "<string>" } '
{ "message": "<string>", "data": { "quoteId": "<string>", "orderId": "<string>", "quote": { "id": "<string>", "quoteRequestId": "<string>", "liquidityProviderId": "<string>", "offerer": "<string>", "recipient": "<string>", "inputToken": "<string>", "outputToken": "<string>", "inputAmount": "<string>", "outputAmount": "<string>", "inputChain": "<string>", "outputChain": "<string>", "startTime": 123, "endTime": 123, "signingHash": "<string>", "status": "active", "createdAt": "<string>", "orderId": "<string>", "typedData": {} }, "typedData": {} } }
Create a quote for a quote request
Documentation IndexFetch the complete documentation index at: https://docs.lidian.finance/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.lidian.finance/llms.txt
Use this file to discover all available pages before exploring further.
Quote parameters
Quote created successfully
Show child attributes